Package com.opensymphony.module.sitemesh.mapper

# Class SessionDecoratorMapper

java.lang.Object
com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
com.opensymphony.module.sitemesh.mapper.SessionDecoratorMapper

All Implemented Interfaces:
  `DecoratorMapper`

public class SessionDecoratorMapper extends AbstractDecoratorMapper

Will look at a session attribute to find the name of an appropriate decorator to use. If the session attribute is present, the mapper will not do anything and allow the next mapper in the chain to select a decorator.

By default, it will look at the 'decorator' session attribute, however this can be overriden by configuring the mapper with a 'decorator.parameter' property.

Author:
  Ricardo Lecheta

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`decoratorParameter`

### Fields inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper

`config, parent`

## Constructor Summary

Constructors
Constructor
Description
`SessionDecoratorMapper()`

## Method Summary

Modifier and Type
Method
Description
`Decorator`
`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Delegate to parent.
`void`
`init(Config config, Properties properties, DecoratorMapper parent)`
Set parent.

### Methods inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper

`getNamedDecorator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### decoratorParameter

private String decoratorParameter

## Constructor Details

### SessionDecoratorMapper

public SessionDecoratorMapper()

## Method Details

### init

public void init(Config config, Properties properties, DecoratorMapper parent) throws InstantiationException
Description copied from class: `AbstractDecoratorMapper`
Set parent.

Specified by:
  `init` in interface `DecoratorMapper`
Overrides:
  `init` in class `AbstractDecoratorMapper`
Parameters:
  `config` - Config supplied by Servlet or Filter.
  `properties` - Any initialization properties (specific to implementation).
Throws:
  `InstantiationException` - should be thrown if the implementation cannot be initialized properly.

### getDecorator

public Decorator getDecorator(javax.servlet.http.HttpServletRequest request, Page page)
Description copied from class: `AbstractDecoratorMapper`
Delegate to parent.

Specified by:
  `getDecorator` in interface `DecoratorMapper`
Overrides:
  `getDecorator` in class `AbstractDecoratorMapper`